package com.xzzn.common.enums;

/**
 * device-设备类别
 * 
 * @author xzzn
 */
public enum DeviceCategory
{
    PCS("PCS", "PCS设备"),
    BRANCH("BRANCH", "PCS分支设备"),
    STACK("STACK", "电池堆"),
    CLUSTER("CLUSTER", "电池簇"),
    BATTERY("BATTERY", "单体电池"),
    AMMETER("AMMETER", "电表");

    private final String code;
    private final String info;

    DeviceCategory(String code, String info)
    {
        this.code = code;
        this.info = info;
    }

    public String getCode()
    {
        return code;
    }

    public String getInfo()
    {
        return info;
    }
}
